Peplink Portal Docs

Search postpaid usages

Search postpaid usages under your partner account by different criteria.

Request

GET/sims/postpaid/usages/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

yearintegerrequired

Filter results by year. Minimum value allowed is 2022.

monthintegerrequired

Filter results by month. Allowed value can range between 1 and 12.

querystringoptional

Search query string.

simTypeenumoptional

Filter results by sim type.

  • PHYSICAL — Physical SIM
  • EMBEDDED — eSIM
deviceTypeenumoptional

Filter results by device type.

  • PEPLINK — Linked with a Peplink Device
  • NON_PEPLINK — 3rd-party SIM
tagIdsstring arrayoptional

Filter results by tag IDs.

iccidsstring arrayoptional

Filter results by iccids.

snsstring arrayoptional

Filter results by Peplink serial numbers.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.iccidstring

ICCID of the SIM.

items.tagIdsstring array

Tag IDs of the sim.

items.simTypeenum

Type of the SIM.

  • PHYSICAL — Physical SIM
  • EMBEDDED — eSIM
items.deviceTypeenum

Device type of the sim.

  • PEPLINK — Linked with a Peplink Device
  • NON_PEPLINK — 3rd-party SIM
items.peplinkDeviceSnnullable string

SN (serial number) of Peplink device linked to the sim. null if not applicable.

items.eidnullable string

EID of Peplink device linked to the sim. null if not applicable.

items.usageobject

Usage of this month.

Show child attributes
items.usage.yearinteger

Year of the usage.

items.usage.monthinteger

Month of the usage.

items.usage.usageMbnumber

Used data volume (in MB) of the usage.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/postpaid/usages/search?pageNum=1&pageSize=5&year=2025&month=5' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "iccid": "89000000000000000000",
      "tagIds": [],
      "simType": "EMBEDDED",
      "deviceType": "NON_PEPLINK",
      "peplinkDeviceSn": null,
      "eid": null,
      "usage": {
        "year": 2025,
        "month": 5,
        "usageMb": 0
      }
    }
  ]
}

On this page